<form [formGroup]="fnoEntryForm">

    <div>
        <strong>
            <h1 mat-dialog-title>Add FNO Entry</h1>
        </strong>
        <mat-divider></mat-divider>

        <mat-dialog-content>
            <br>
            <mat-form-field style="width: 100%;" appearance="fill">
                <mat-label>Choose a date</mat-label>
                <input matInput [matDatepicker]="picker" formControlName="tradeDate">
                <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
                <mat-datepicker #picker></mat-datepicker>
            </mat-form-field>

            <br><br>
            <p>
                <mat-form-field style="width: 100%;" appearance="outline">
                    <mat-label>Gross Amount</mat-label>
                    <input matInput placeholder="Enter Gross Amount" formControlName="grossAmount">
                </mat-form-field>
            </p>

            <p>
                <mat-form-field style="width: 100%;" appearance="outline">
                    <mat-label>Trade Charges</mat-label>
                    <input matInput placeholder="Enter Trade Charges" formControlName="charges">
                </mat-form-field>
            </p>

            <mat-form-field appearance="fill" [style.width.px]=700>
                <mat-label>Select Trade Result</mat-label>
                <mat-select style="padding: 2px;" placeholder="Client*" name="selectedTradeResult" formControlName="tradeResult"
                    (selectionChange)="setTradeResult($event.value)">
                    <mat-option *ngFor="let type of tradeResultList;" [value]="type">
                        {{type}}
                    </mat-option>
                </mat-select>
            </mat-form-field>

        </mat-dialog-content>

        <mat-divider></mat-divider>
        <br>
        <mat-dialog-actions style="float: right;">
            <button mat-raised-button color="primary" (click)="resetFnoRecordEntryForm()">RESET</button>
            <button mat-raised-button color="warn" (click)="addFnoEntryInDb()">ADD ENTRY</button>
        </mat-dialog-actions>
        <br><br>
    </div>

    

</form>